Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.visualization.graph
Class Color

    java.lang.Object
      kieker.tools.traceAnalysis.filter.visualization.graph.Color

    public class Color

extends Object

(RGB-based) Color implementation for the visualization package.

Since:
  1.6
Author:
  Holger Knoche

Field Summary
`static Color` | `BLACK` The predefined color black.
`static Color` | `BLUE` The predefined color blue.
`static Color` | `GRAY` The predefined color gray.
`static Color` | `GREEN` The predefined color green.
`static Color` | `RED` The predefined color red.
`static Color` | `WHITE` The predefined color white.

Constructor Summary
`Color(byte red, byte green, byte blue)` Creates a new color from the given values.
`Color(int rgb)` Creates a new color with the given RGB value.

Method Summary
`boolean` | `equals(Object other)`
`int` | `getRGB()` Returns this color's RGB value as an `int`.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BLACK

    public static final Color BLACK

  The predefined color black.

### RED

    public static final Color RED

  The predefined color red.

### GREEN

    public static final Color GREEN

  The predefined color green.

### BLUE

    public static final Color BLUE

  The predefined color blue.

### GRAY

    public static final Color GRAY

  The predefined color gray.

### WHITE

    public static final Color WHITE

  The predefined color white.

Constructor Detail

### Color

    public Color(byte red,
                 byte green,
                 byte blue)

  Creates a new color from the given values.

  Parameters:
    `red` - The color's red value
    `green` - The color's green value
    `blue` - The color's blue value

### Color

    public Color(int rgb)

  Creates a new color with the given RGB value.

  Parameters:
    `rgb` - The RGB value of the new color (see `getRGB()` for more information)

Method Detail

### getRGB

    public int getRGB()

  Returns this color's RGB value as an `int`. The blue value is stored in (the least significant) byte 0, green in byte 1, and red in byte 2.

  Returns:
    See above

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net